summaryrefslogtreecommitdiff
path: root/tests.deploy/deploy-rawdisk-without-disk-size-fails.script
diff options
context:
space:
mode:
Diffstat (limited to 'tests.deploy/deploy-rawdisk-without-disk-size-fails.script')
-rwxr-xr-xtests.deploy/deploy-rawdisk-without-disk-size-fails.script37
1 files changed, 37 insertions, 0 deletions
diff --git a/tests.deploy/deploy-rawdisk-without-disk-size-fails.script b/tests.deploy/deploy-rawdisk-without-disk-size-fails.script
new file mode 100755
index 00000000..ea4072b5
--- /dev/null
+++ b/tests.deploy/deploy-rawdisk-without-disk-size-fails.script
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# Test "morph deploy" refuses to deploy if DISK_SIZE is unset.
+
+set -eu
+
+
+# Disable if Python is 2.6.
+if python --version 2>&1 | grep ' 2\.6\.' > /dev/null
+then
+ exit 0
+fi
+
+
+. "$SRCDIR/tests.deploy/setup-build"
+cd "$DATADIR/workspace/branch1"
+"$SRCDIR/scripts/test-morph" build linux-system
+! "$SRCDIR/scripts/test-morph" --log "$DATADIR/deploy.log" \
+ deploy rawdisk linux-system "$DATADIR/disk.img" > /dev/null 2>&1
+! [ -e "$DATADIR/disk.img" ]
+